<!-- sidenav -->
<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div class="side-item-0" routerLink="/home">
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div
      style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
    height: 6%;
    padding-top: 4%;"
    >
      รายวิชาของฉัน
    </div>

    <div
      class="side-item-1"
      *ngFor="let subject of subjects"
      [class.selected]="sub === selectSubject"
      (click)="onSelect(subject)"
    >
      <mat-icon class="side-text">list_alt</mat-icon>
      {{ subject.subject_name }}
      <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
    </div>
    <div class="side"></div>

    <div class="side-item-0" routerLink="/homeStore">
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>

  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>
        <h1
          (click)="onHome()"
          style="cursor:pointer; font-family: 'Kanit', sans-serif;"
        >
          MAKRUB
        </h1>
        <span class="example-spacer"></span>
        <img class="example-icon" [src]="imageUrl" />
        <button
          mat-icon-button
          [matMenuTriggerFor]="menu"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>
    <div class="row">
      <div class="column" style="width:20%;">
        <div class="form-nav">
          <div
            class="side-item-nav border-nav setColor"
            (click)="isOn = false"
            *ngIf="isOn"
          >
            ข้อมูลส่วนตัว
          </div>
          <div
            class="side-item-nav border-nav setColor"
            style="background-color: rgba(192, 187, 187, 0.534);"
            (click)="isOn = false"
            *ngIf="!isOn"
          >
            ข้อมูลส่วนตัว
          </div>
          <div class="side"></div>
          <div
            class="side-item-nav setColor"
            (click)="isOn = true"
            *ngIf="!isOn"
          >
            รหัสผ่าน
          </div>
          <div
            class="side-item-nav setColor"
            style="background-color: rgba(192, 187, 187, 0.534);"
            (click)="isOn = true"
            *ngIf="isOn"
          >
            รหัสผ่าน
          </div>
          <div class="side"></div>
        </div>
      </div>
      <div class="column1" style="width:80%;">
        <div class="form-profile">
          <app-personal *ngIf="!isOn"></app-personal>
          <app-password *ngIf="isOn"></app-password>
        </div>
      </div>
    </div>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
